/**
 * Main entry point for the toolAgent module
 * Re-exports all functionality from the modular structure
 */
export { toolAgent } from './toolAgentCore.js';
export * from './config.js';
export * from './messageUtils.js';
export * from './toolExecutor.js';
export * from './tokenTracking.js';
export * from './types.js';
export declare const getDefaultSystemPrompt: (context: Record<string, unknown>) => string;
//# sourceMappingURL=index.d.ts.map